#
# spec file for package lksctp-tools (Version 1.0.6)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           lksctp-tools
Summary:        Utilities for SCTP (Stream Control Transmission Protocol)
Version:        1.0.6
Release:        0.8.34
License:        LGPL v2.1 or later
Group:          Productivity/Networking/Other
Url:            http://lksctp.sourceforge.net
Source0:        %name-%version.tar.gz
Patch0:         lksctp-tools-%{version}-warnings.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains the SCTP base runtime library and command line
tools.

SCTP (Stream Control Transmission Protocol) is a message-oriented,
reliable transport protocol with congestion control, support for
transparent multihoming, and multiple ordered streams of messages.



Authors:
--------
    La Monte H.P. Yarroll   <piggy@acm.org>
    Jon Grimm               <jgrimm@us.ibm.com>
    Sridhar Samudrala       <sri@us.ibm.com>

%package devel
License:        LGPL v2.1 or later
Summary:        Development files for SCTP (Stream Control Transmission Protocol)
Group:          Productivity/Networking/Other
Requires:       %{name} = %{version}

%description devel
This package contains the SCTP development libraries and C header
files.

SCTP (Stream Control Transmission Protocol) is a message oriented,
reliable transport protocol, with congestion control, support for
transparent multi-homing, and multiple ordered streams of messages.



Authors:
--------
    La Monte H.P. Yarroll   <piggy@acm.org>
    Jon Grimm               <jgrimm@us.ibm.com>
    Sridhar Samudrala       <sri@us.ibm.com>

%prep
%setup -q -n %name-%version
%patch0 -p1

%build
autoreconf --force --install
CPPFLAGS="-I`pwd`/include" \
%configure --prefix=/usr \
	--enable-shared \
	--enable-static
make

%install
test -n "$RPM_BUILD_ROOT" && DESTDIR=$RPM_BUILD_ROOT && rm -rf $DESTDIR
make install DESTDIR=$DESTDIR

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(444,root,root,755)
%doc AUTHORS COPYING ChangeLog COPYING.lib
%doc doc/*.txt
%attr(555,root,root) %{_bindir}/*
%attr(555,root,root) %{_libdir}/libsctp.so.*
%attr(755,root,root) %dir %{_libdir}/lksctp-tools
%attr(555,root,root) %{_libdir}/lksctp-tools/*
%attr(444,root,root) %{_mandir}/man7/*

%files devel
%defattr(444,root,root,755)
%attr(444,root,root) %{_includedir}/netinet/sctp.h
%attr(555,root,root) %{_libdir}/libsctp.so
%attr(444,root,root) %{_libdir}/libsctp.a
%attr(444,root,root) %{_libdir}/libsctp.la
%attr(755,root,root) %dir %{_datadir}/lksctp-tools
%attr(444,root,root) %{_datadir}/lksctp-tools/*
%attr(444,root,root) %{_mandir}/man3/*

%changelog
* Wed Aug 15 2007 meissner@suse.de
- upgraded to 1.0.6 to match the 2.6.16 kernel. #288846
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 12 2005 okir@suse.de
- Updated to latest upstream version (1.0.4)
* Wed Nov  2 2005 dmueller@suse.de
- don't build as root
* Fri Jan 21 2005 okir@suse.de
- Updated to latest upstream version (1.0.2)
* Wed May 12 2004 okir@suse.de
- Updated to lksctp-tools to 1.0.1 per request from IBM
* Tue Mar 16 2004 okir@suse.de
- Built initial package
